/*
 * $Id: VKCDynaAttributeDAO.java,v 1.3 2007/02/13 15:42:22 lawern Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * $Log: VKCDynaAttributeDAO.java,v $
 * Revision 1.3  2007/02/13 15:42:22  lawern
 * Fehlende Konstruktoren ergänzt.
 *
 * Revision 1.2  2007/02/06 08:54:34  lawern
 * Dynamische Attribute zu Delegator-Objekten gemacht + getDynaAttributes()-Methoden implementiert.
 *
 * Revision 1.1  2006/08/23 18:36:57  marbobo
 * + Initiale Version
 *
 */
package vkc.external;

import vkc.db.entities.VKCDynaAttribute;

/**
 * Klasse kapselt (zunächst) Schlüssel und Wert eines dynamischen Attributes
 * 
 * @author marbobo
 */
public class VKCDynaAttributeDAO {
    
	private VKCDynaAttribute intAttribute;

    VKCDynaAttributeDAO(VKCDynaAttribute intAttribute) {
        this.intAttribute = intAttribute;
    }
    
    /**
     * 
     * @param name
     *      Name des dynamischen Attributes
     * @param value
     *      Wert des dynamischen Attributes
     */
    public VKCDynaAttributeDAO(String name, String value){
        intAttribute = new VKCDynaAttribute();
        intAttribute.setName(name);
        intAttribute.setValue(value);     
    }

	/**
	 * Liefert den Namen dieses Attributes zurück
	 * 
	 * @return Der NAme
	 */
	public String getName() {
		return intAttribute.getName();
	}

	/**
	 * Setzt den Namen dieses Attributes
	 * 
	 * @param name
	 *            Neuer Name
	 */
	public void setName(String name) {
		intAttribute.setName(name);
	}

	/**
	 * Liefert den Wert dieses Attributes
	 * 
	 * @return Der Wert
	 */
	public String getValue() {
		return intAttribute.getValue();
	}

	/**
	 * Setzt den Wert dieses Attributes
	 * 
	 * @param value
	 *            Der Neue Wert
	 */
	public void setValue(String value) {
		intAttribute.setValue(value);
	}
}